query delegateChanged($id: ID!, $block: Block_height){
    delegateChanged(id: $id, block: $block){
        id
        delegator
        fromDelegate
        toDelegate
        blockNumber
        blockTimestamp
        transactionHash
    }
}